package Slapd::Backend::Constant;

=head1 NAME

Slapd::Backend::Constant - useful ldap constants

=head1 DESCRIPTION

Useful constants, undeclared in Net::LDAP::Constant.

=cut

use utf8;
use strict;
use warnings;
use Exporter 'import';
our @EXPORT = qw(
	LDAP_SCOPE_BASE
	LDAP_SCOPE_ONE
	LDAP_SCOPE_SUB
	LDAP_SCOPE_CHILDREN
	LDAP_DEREF_NEVER
	LDAP_DEREF_SEARCH
	LDAP_DEREF_FIND
	LDAP_DEREF_ALWAYS
);

=head1 CONSTANTS

=over

=item LDAP_SCOPE_BASE (0)

=item LDAP_SCOPE_ONE (1)

=item LDAP_SCOPE_SUB (2)

=item LDAP_SCOPE_CHILDREN (3)

=cut

use constant {
	LDAP_SCOPE_BASE     => 0,
	LDAP_SCOPE_ONE      => 1,
	LDAP_SCOPE_SUB      => 2,
	LDAP_SCOPE_CHILDREN => 3,
};

=item LDAP_DEREF_NEVER (0)

=item LDAP_DEREF_SEARCH (1)

=item LDAP_DEREF_FIND (2)

=item LDAP_DEREF_ALWAYS (3)

=cut

use constant {
	LDAP_DEREF_NEVER  => 0,
	LDAP_DEREF_SEARCH => 1,
	LDAP_DEREF_FIND   => 2,
	LDAP_DEREF_ALWAYS => 3,
};

=back

=cut

1;

=head1 SEE ALSO

Net::LDAP::Constant

=head1 AUTHOR

Aleksey Mashanov <aleksey.mashanov@gmail.com>

=head1 LICENSE

This library is free software, you can redistribute it and/or modify it under
the same terms as Perl itself.

=cut
